## plasma-sdk 5.12.3

=== debian/changelog ===
plasma-sdk (5.12.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unused build dependencies: git, kdevplatform-dev, libgrantlee5-dev,
    libkf5attica-dev, libkf5auth-dev, libkf5bookmarks-dev, libkf5codecs-dev,
    libkf5itemmodels-dev, libkf5itemviews-dev, libkf5jobwidgets-dev,
    libkf5kdelibs4support-dev, libkf5newstuff-dev, libkf5package-dev,
    libkf5parts-dev, libkf5solid-dev, libkf5sonnet-dev, libkf5textwidgets-dev,
    libkf5windowsystem-dev, libkf5xmlgui-dev, and libqt5webkit5-dev.
  * Remove git dependency and suggest, as git is not used by any of the
    utilities shipped.
  * Small updates to copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 14 Mar 2018 06:39:41 +0100

plasma-sdk (5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:12 +0100

plasma-sdk (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:04 +0100

plasma-sdk (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:52 +0100

plasma-sdk (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:05 +0100

plasma-sdk (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:16 -0300

plasma-sdk (5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:44 +0200

plasma-sdk (5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * add gpg keyring
  * qmllint add depends on qml-module-qtgraphicaleffects
  * dep on git and qtwebkit
  * new qml dep
  * now asking for kirigami2-dev
  * kdevplatform needs libgrantlee5-dev
  * now uses kirigami2

  [ Scarlett Clark ]
  * Add missing deps kirigami and kdevplatform.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:51 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.8.0~),
               gettext,
               kirigami2-dev (>= 5.22~),
               libkf5archive-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5plasma-dev,
               libkf5service-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.1.3
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git

Package: plasma-sdk
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami2,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 5.12.4

=== CMakeLists.txt ===
project(plasma-sdk)
set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)
cmake_minimum_required(VERSION 2.8.12)

set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.42.0")

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plasmate requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasmate [options]' there.")
endif()

include(FeatureSummary)

################# set KDE specific information #################

find_package(ECM 1.8.0 REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui Qml Quick Svg Widgets Xml)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5Kirigami2 ${KF5_MIN_VERSION})
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by lookandfeelexplorer"
    TYPE RUNTIME
)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

if(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
   set(KDE_NO_DEPRECATED TRUE)
   set(CMAKE_AUTOMOC_MOC_OPTIONS "-DKDE_NO_DEPRECATED")
endif()

################# Enable C++11 features for clang and gcc #################

if(UNIX)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++0x")
endif()


# Load CMake, Compiler and InstallDirs settings from KF5 and the following are already somewhat "done" tier1/tier2 libs from kdelibs:
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive Completion Config ConfigWidgets CoreAddons DBusAddons Declarative I18n IconThemes
    KIO Plasma PlasmaQuick Service TextEditor WidgetsAddons DocTools)

#########################################################################

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

add_subdirectory(cuttlefish)
add_subdirectory(engineexplorer)
add_subdirectory(plasmoidviewer)
add_subdirectory(themeexplorer)
add_subdirectory(lookandfeelexplorer)
#add_subdirectory(wallpaperviewer)

# Plasmate now moved to kde:plasmate because it is unmaintained
#if (KDevPlatform_FOUND AND Qt5WebKit_FOUND AND Qt5WebKitWidgets_FOUND)
#    add_subdirectory(plasmate)
#endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== cuttlefish/CMakeLists.txt ===
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()


plasma_install_package(package org.kde.plasma.cuttlefish packages package)
install(FILES org.kde.cuttlefish.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.cuttlefish.appdata.xml DESTINATION  ${CMAKE_INSTALL_METAINFODIR})

=== lookandfeelexplorer/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"org.kde.plasma.lookandfeelexplorer\")

add_subdirectory(src)

kpackage_install_package(package org.kde.plasma.lookandfeelexplorer genericqml)
# install(FILES metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES package/metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME org.kde.plasma.lookandfeelexplorer.desktop)

=== themeexplorer/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"org.kde.plasma.themeexplorer\")

add_subdirectory(src)

kpackage_install_package(package org.kde.plasma.themeexplorer genericqml)
# install(FILES metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES package/metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME org.kde.plasma.themeexplorer.desktop)

=== themeexplorer/src/CMakeLists.txt ===


set(plasmathemeexplorer_SRCS
    main.cpp
    thememodel.cpp
    themelistmodel.cpp
    coloreditor.cpp
)

add_executable(plasmathemeexplorer ${plasmathemeexplorer_SRCS})
target_compile_definitions(plasmathemeexplorer PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

#find_package(ActiveApp REQUIRED)

target_link_libraries(plasmathemeexplorer
 Qt5::Gui
 Qt5::Quick
 Qt5::Widgets
 Qt5::Xml
 KF5::Archive
 KF5::Declarative
 KF5::I18n
 KF5::Package
 KF5::Plasma
 KF5::KIOCore
 KF5::KIOWidgets
 KF5::QuickAddons
)

install(TARGETS plasmathemeexplorer ${INSTALL_TARGETS_DEFAULT_ARGS})

=== cuttlefish/src/editorplugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"cuttlefish_editorplugin\")

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

set(cuttlefishplugin_PART_SRCS
    cuttlefishplugin.cpp
)

add_library (cuttlefishplugin MODULE ${cuttlefishplugin_PART_SRCS})

target_link_libraries(cuttlefishplugin
    KF5::TextEditor
    KF5::IconThemes
    KF5::I18n
    KF5::Service
)

install(TARGETS cuttlefishplugin  DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

kcoreaddons_desktop_to_json (cuttlefishplugin cuttlefishplugin.desktop)

=== debian/changelog ===
plasma-sdk (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:53 +0100

plasma-sdk (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:05 +0000

plasma-sdk (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:40 +0000

plasma-sdk (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:42 +0000

plasma-sdk (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:09 +0000

plasma-sdk (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:53 +0000

plasma-sdk (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:26 -0600

plasma-sdk (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:18 +0000

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               gettext,
               kirigami2-dev (>= 5.42.0~),
               libkf5archive-dev (>= 5.42.0~),
               libkf5attica-dev (>= 5.42.0~),
               libkf5auth-dev (>= 5.42.0~),
               libkf5bookmarks-dev (>= 5.42.0~),
               libkf5codecs-dev (>= 5.42.0~),
               libkf5completion-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5itemmodels-dev (>= 5.42.0~),
               libkf5itemviews-dev (>= 5.42.0~),
               libkf5jobwidgets-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libkf5package-dev (>= 5.42.0~),
               libkf5parts-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5solid-dev (>= 5.42.0~),
               libkf5sonnet-dev (>= 5.42.0~),
               libkf5texteditor-dev (>= 5.42.0~),
               libkf5textwidgets-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qml-module-org-kde-kirigami (>= 1.1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk

Package: plasma-sdk
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bash (>= 4.3)
Breaks: plasmate (<< 4:5.2.50)
Replaces: plasmate (<< 4:5.2.50)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable auto tests at build time
	:

## plasma-sdk 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(plasma-sdk)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 cmake_minimum_required(VERSION 2.8.12)

=== debian/changelog ===
plasma-sdk (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:22 +0100

plasma-sdk (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:09 +0100

plasma-sdk (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:39 +0100

plasma-sdk (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:54 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
                pkg-kde-tools (>> 0.15.15),
                qml-module-org-kde-kirigami (>= 1.1~),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://projects.kde.org/plasma-sdk
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d\.]*)/plasma-sdk-(.*)\.tar\.xz

## plasma-sdk 5.13.5

=== debian/changelog ===
plasma-sdk (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:42 +0100

plasma-sdk (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from debian unstable (LP: 1788981). Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 09:14:28 +0100

plasma-sdk (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:42:57 +0100

plasma-sdk (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:47 +0100

plasma-sdk (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:58 +0100

plasma-sdk (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:58 +0100

plasma-sdk (5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:43 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               gettext,
               kirigami2-dev (>= 5.42.0~),
               libkf5archive-dev (>= 5.42.0~),
               libkf5completion-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5texteditor-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libqt5svg5-dev (>= 5.9.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk

Package: plasma-sdk
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami2,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 5.14.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-sdk)
set(PROJECT_VERSION "5.14.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.50.0")

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plasmate requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasmate [options]' there.")
endif()

################# set KDE specific information #################

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui Qml Quick Svg Widgets Xml)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5Kirigami2 ${KF5_MIN_VERSION})
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by lookandfeelexplorer"
    TYPE RUNTIME
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive Completion Config ConfigWidgets CoreAddons DBusAddons Declarative I18n IconThemes
    KIO Plasma PlasmaQuick Service TextEditor WidgetsAddons DocTools)

#########################################################################

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
#     -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

add_subdirectory(cuttlefish)
add_subdirectory(engineexplorer)
add_subdirectory(plasmoidviewer)
add_subdirectory(themeexplorer)
add_subdirectory(lookandfeelexplorer)
#add_subdirectory(wallpaperviewer)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
plasma-sdk (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:09 -0300

plasma-sdk (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:08 -0300

plasma-sdk (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:19 +0200

plasma-sdk (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:21 +0200

plasma-sdk (5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:53 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               gettext,
               kirigami2-dev (>= 5.50.0~),
               libkf5archive-dev (>= 5.50.0~),
               libkf5completion-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5plasma-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5texteditor-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libqt5svg5-dev (>= 5.11.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
Standards-Version: 4.1.3
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git

Package: plasma-sdk
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami2,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 5.15.4

=== debian/changelog ===
plasma-sdk (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:47 +0100

plasma-sdk (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:10 +0000

plasma-sdk (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:15:17 +0000

plasma-sdk (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:41 +0000

plasma-sdk (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:13 +0000

plasma-sdk (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:34 +0000

plasma-sdk (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:00 +0000

plasma-sdk (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:04 +0000

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               gettext,
               kirigami2-dev (>= 5.54.0~),
               libkf5archive-dev (>= 5.54.0~),
               libkf5completion-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5texteditor-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libqt5svg5-dev (>= 5.9.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk

Package: plasma-sdk
Architecture: any
Depends: plasma-framework (>= 5.54.0~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami2,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 5.16.5

=== debian/changelog ===
plasma-sdk (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:25:28 +0100

plasma-sdk (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:13 +0100

plasma-sdk (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:23:29 +0100

plasma-sdk (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:26 +0100

plasma-sdk (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:25:24 +0100

plasma-sdk (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:08 +0100

plasma-sdk (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:16 +0100

plasma-sdk (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
                gettext,
-               kirigami2-dev (>= 5.54.0~),
-               libkf5archive-dev (>= 5.54.0~),
-               libkf5completion-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5declarative-dev (>= 5.54.0~),
-               libkf5doctools-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5texteditor-dev (>= 5.54.0~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
+               kirigami2-dev (>= 5.58.0~),
+               libkf5archive-dev (>= 5.58.0~),
+               libkf5completion-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5declarative-dev (>= 5.58.0~),
+               libkf5doctools-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5iconthemes-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
+               libkf5texteditor-dev (>= 5.58.0~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
                libqt5svg5-dev (>= 5.9.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.9.0~),

## plasma-sdk 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(plasma-sdk)
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.50.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 ################# Disallow in-source build #################
 
@@ -18,11 +18,12 @@
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui Qml Quick Svg Widgets Xml)
@@ -50,10 +51,12 @@
     KIO Plasma PlasmaQuick Service TextEditor WidgetsAddons DocTools)
 
 #########################################################################
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()
 
 add_definitions(
     -DQT_DEPRECATED_WARNINGS
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
     -DQT_USE_QSTRINGBUILDER
     -DQT_NO_CAST_TO_ASCII
 #     -DQT_NO_CAST_FROM_ASCII
@@ -70,6 +73,10 @@
 add_subdirectory(lookandfeelexplorer)
 #add_subdirectory(wallpaperviewer)
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)

=== engineexplorer/CMakeLists.txt ===
set(plasmaengineexplorer_SRCS
    engineexplorer.cpp
    ktreeviewsearchline.cpp
    main.cpp
    serviceviewer.cpp
    modelviewer.cpp
)

ki18n_wrap_ui(plasmaengineexplorer_SRCS engineexplorer.ui serviceviewer.ui)

add_executable(plasmaengineexplorer ${plasmaengineexplorer_SRCS})
target_compile_definitions(plasmaengineexplorer PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(plasmaengineexplorer
    KF5::IconThemes
    KF5::I18n
    KF5::Service
    KF5::Completion
    KF5::Plasma
    KF5::I18n
    KF5::ConfigCore
    KF5::ConfigWidgets
)

install(TARGETS plasmaengineexplorer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.plasmaengineexplorer.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasmaengineexplorer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

kdoctools_create_manpage (man-plasmaengineexplorer.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== themeexplorer/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"org.kde.plasma.themeexplorer\")

add_subdirectory(src)

kpackage_install_package(package org.kde.plasma.themeexplorer genericqml)

install(FILES package/metadata.desktop DESTINATION ${KDE_INSTALL_APPDIR} RENAME org.kde.plasma.themeexplorer.desktop)

=== debian/changelog ===
plasma-sdk (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:39 +0100

plasma-sdk (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:07 +0000

plasma-sdk (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:13 +0000

plasma-sdk (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:02 +0000

plasma-sdk (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:21 +0000

plasma-sdk (4:5.17.90-0ubuntu1) focal; urgency=medium

  * debian/control: New qml dependencies qml-module-qt-labs-settings
    and qml-module-qt-labs-platform.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:09:21 +0000

plasma-sdk (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:45:54 +0000

plasma-sdk (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:11 +0000

plasma-sdk (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:56 +0000

plasma-sdk (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:10 +0000

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               gettext,
               kirigami2-dev (>= 5.66.0~),
               libkf5archive-dev (>= 5.66.0~),
               libkf5completion-dev (>= 5.66.0~),
               libkf5config-dev (>= 5.66.0~),
               libkf5configwidgets-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5doctools-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5iconthemes-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5plasma-dev (>= 5.66.0~),
               libkf5service-dev (>= 5.66.0~),
               libkf5texteditor-dev (>= 5.66.0~),
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libqt5svg5-dev (>= 5.9.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk

Package: plasma-sdk
Architecture: any
Depends: plasma-framework (>= 5.54.0~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami2,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 5.19.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(plasma-sdk)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.19.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.12.0")
+set(QT_MIN_VERSION "5.14.0")
 set(KF5_MIN_VERSION "5.66.0")
 
 ################# Disallow in-source build #################
@@ -48,13 +48,9 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Archive Completion Config ConfigWidgets CoreAddons DBusAddons Declarative I18n IconThemes
-    KIO Plasma PlasmaQuick Service TextEditor WidgetsAddons DocTools)
+    KIO Plasma PlasmaQuick Service TextEditor WidgetsAddons DocTools ConfigWidgets)
 
 #########################################################################
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-endif()
-
 add_definitions(
     -DQT_DEPRECATED_WARNINGS
     -DQT_USE_QSTRINGBUILDER

=== debian/changelog ===
plasma-sdk (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:55 +0100

plasma-sdk (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:43:23 +0100

plasma-sdk (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:00:43 +0100

plasma-sdk (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:43 +0100

plasma-sdk (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:41:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
                gettext,
-               kirigami2-dev (>= 5.66.0~),
-               libkf5archive-dev (>= 5.66.0~),
-               libkf5completion-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5configwidgets-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5iconthemes-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5service-dev (>= 5.66.0~),
-               libkf5texteditor-dev (>= 5.66.0~),
-               libkf5widgetsaddons-dev (>= 5.66.0~),
+               kirigami2-dev (>= 5.70.0~),
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5completion-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5configwidgets-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5iconthemes-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5service-dev (>= 5.70.0~),
+               libkf5texteditor-dev (>= 5.70.0~),
+               libkf5widgetsaddons-dev (>= 5.70.0~),
                libqt5svg5-dev (>= 5.9.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.9.0~),
